### Constructor

# Gsk BorderNode new

#### Declaration [src]

    GskRenderNode*
    gsk_border_node_new (
      const GskRoundedRect* outline,
      const float* border_width,
      const GdkRGBA* border_color
    )

#### Description [src]

Creates a `GskRenderNode` that will stroke a border rectangle inside the given `outline`.

The 4 sides of the border can have different widths and colors.

#### Parameters

`outline` | `GskRoundedRect`
| A `GskRoundedRect` describing the outline of the border.
| The data is owned by the caller of the function.
`border_width` | An array of `float`
| The stroke width of the border on the top, right, bottom and left side respectively.
| The array must have 4 elements.
| The data is owned by the caller of the function.
`border_color` | An array of `GdkRGBA`
| The color used on the top, right, bottom and left side.
| The array must have 4 elements.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GskBorderNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.